#pragma once

#include "CoreMinimal.h"
#include "CurrencyProgressionTooltipViewData.h"
#include "UObject/SoftObjectPtr.h"
#include "StoreRiftTierViewData.generated.h"

class UTexture2D;

USTRUCT(BlueprintType)
struct FStoreRiftTierViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FString Id;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FName ArchiveId;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 Amount;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FCurrencyProgressionTooltipViewData TooltipData;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TSoftObjectPtr<UTexture2D> Icon;

public:
	DBDUIVIEWINTERFACES_API FStoreRiftTierViewData();
};

FORCEINLINE uint32 GetTypeHash(const FStoreRiftTierViewData) { return 0; }
